GCXONEDocumentatie

Contact

Op deze pagina
  1. POST /contact
  2. Parameters
  3. Verzoeklichaam
  4. Responsen
  5. PATCH /contact
  6. Parameters
  7. Verzoekbody
  8. Responsen
  9. DELETE /contact
  10. Parameters
  11. Responsen
  12. GET /contact/all
  13. Parameters
  14. Responsen

Operaties op contactresources. 4 eindpunten, elk relatief ten opzichte van https://api.nxgen.cloud/api/v1 en geauthenticeerd zoals beschreven onder Authenticatie.

POST /contact

Voeg een nieuw contact toe.

Parameters

Naam

In

Type

Verplicht

Beschrijving

hierarchyId

query

string

ja

Hiërarchisch niveau-id zoals Site, Klant of Serviceprovider -ID waarin het contact wordt aangemaakt.

Verzoeklichaam

Contactpayload

json
{
  "name": "string (required)",
  "description": "string",
  "email": "string",
  "codeword": "string",
  "available": "boolean",
  "type": "STANDARD",
  "phones": [
    {
      "number": "string",
      "phoneType": "MAIN | MOBILE | HOME | WORK | CUSTOM",
      "customType": "string"
    }
  ]
}

Responsen

Status

Beschrijving

Lichaam

200

Succes

400

Ongeldige invoer

403

Verboden

Voorbeeld 200 respons:

json
{
  "errorCode": 0,
  "errorMessage": "Success",
  "id": "8a81fc4581c99094018224c3d431"
}

Voorbeeld 400 respons:

json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}

PATCH /contact

Patch een contact op contact-ID

Parameters

Naam

In

Type

Verplicht

Beschrijving

contactId

query

string

ja

Contact-ID waarvoor patch vereist is.

hierarchyId

query

string

ja

Hierarchie-ID waaraan het contact is gekoppeld. Bijvoorbeeld site-, klant- of serviceprovider-ID.

Verzoekbody

Contactpayload

json
{
  "name": "string",
  "description": "string",
  "email": "string",
  "codeword": "string",
  "available": "boolean",
  "phones": [
    {
      "id": "string",
      "number": "string",
      "phoneType": "MAIN | MOBILE | HOME | WORK | CUSTOM",
      "customType": "string"
    }
  ]
}

Responsen

Status

Beschrijving

Body

200

Succes

400

Ongeldige invoer

403

Verboden

Voorbeeld 200 respons:

json
{
  "errorCode": 0,
  "errorMessage": "Success"
}

Voorbeeld 400 respons:

json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}

DELETE /contact

Verwijder een contact op basis van contact-ID

Parameters

Naam

In

Type

Verplicht

Beschrijving

contactId

query

string

ja

Contact-ID vereist voor verwijdering.

hierarchyId

query

string

ja

Hiërarchie-ID waaraan het contact is gekoppeld. Voorbeeld: site, klant of serviceprovider‑ID.

Responsen

Status

Beschrijving

Inhoud

200

Succes

204

Geen inhoud

400

Ongeldige invoer

401

Niet geautoriseerd

403

Verboden

GET /contact/all

Haal lijst op van contactpersonen die gekoppeld zijn aan een hiërarchieniveau‑ID, zoals site, klant of serviceprovider‑ID.

Parameters

Naam

In

Type

Verplicht

Beschrijving

hierarchyId

query

string

ja

Hiërarchieniveau‑ID, zoals site, klant of serviceprovider‑ID.

Responsen

Status

Beschrijving

Inhoud

200

Success

object

400

Ongeldige invoer

403

Verboden

Voorbeeld 200 respons:

json
{
  "errorCode": 0,
  "message": [
    {
      "id": "8a81b56781c990bb0181d22466bb007e",
      "name": "Axxon test",
      "description": "Site Contact - Automatically created",
      "email": null,
      "codeword": null,
      "available": true,
      "type": "MANAGED",
      "phones": []
    },
    {
      "id": "8a81fc4581c9909401822538dbc70653",
      "name": "John",
      "description": "nxgen user contact",
      "email": "test@nx.com",
      "codeword": "NXG",
      "available": true,
      "type": "STANDARD",
      "phones": [
        {
          "id": "8a81fc4581c9909401822538dbc70654",
          "number": "+919842999112",
          "phoneType": "MAIN",
          "customType": null
        }
      ]
    }
  ]
}

Voorbeeld 400 respons:

json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
Was deze pagina nuttig?

Bedankt — uw feedback gaat naar het team dat deze pagina beheert.